//: C03:StringSuite.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
//{L} ../TestSuite/Test ../TestSuite/Suite
//{L} TrimTest
// Ukazuje sadu testů pro kód ze 3 kapitoly
#include <iostream>
#include "../TestSuite/Suite.h"
#include "StringStorage.h"
#include "Sieve.h"
#include "Find.h"
#include "Rparse.h"
#include "TrimTest.h"
#include "CompStr.h"
using namespace std;
using namespace TestSuite;

int main() {
    Suite suite("Testy řetězců");
    suite.addTest(new StringStorageTest);
    suite.addTest(new SieveTest);
    suite.addTest(new FindTest);
    suite.addTest(new RparseTest);
    suite.addTest(new TrimTest);
    suite.addTest(new CompStrTest);
    suite.run();
    long nSelhalo = suite.report();
    suite.free();
    return nSelhalo;
}
/* Výstup:
s1 = 62345
s2 = 12345
Sada "testy řetězců"
====================
Test "StringStorageTest":
   Prošlo: 2   Neprošlo: 0
Test "SieveTest":
   Prošlo: 50  Neprošlo: 0
Test "FindTest":
   Prošlo: 9   Neprošlo: 0
Test "RparseTest":
   Prošlo: 8   Neprošlo: 0
Test "TrimTest":
   Prošlo: 11  Neprošlo: 0
Test "CompStrTest":
   Prošlo: 8   Neprošlo: 0
*/ ///:~
